include <triangles.scad>;
include <parametric_involute_gear_v5.0.scad>;
$fn=100;



//truc_ki_fait_tourner//////////////////////////////////

difference() {
 union() {

//Base***************************************
rotate([0,0,0])translate([0,0,17.4]) cylinder(h =  4, r = 25, center =  false);
rotate([0,0,57.3])translate([46,0,17.4]) cylinder(h=5.6,r=20, center =  false);
rotate([0,0,57.3])translate([30,0,19.9]) cube([30,40,5], center = true);

//support fixation***************************
rotate([0,0,57.3])translate([26,0,47.4]) cube([5,40,60], center = true);
//étagère
rotate([147.3,-90,0]) translate([17.4,-24,16]) triangle(15, 60, 4);
rotate([147.3,-90,0]) translate([17.4,-24,-20]) triangle(15, 60, 4);

}

//moteur et trous******************************************

//trous fixation support
#rotate ([0,-90,57.3]) translate([55,10,-32])cylinder(h=16, r=2, center=false);
#rotate ([0,-90,57.3]) translate([55,-10,-32])cylinder(h=16, r=2, center=false);
#rotate ([0,-90,57.3]) translate([70,10,-32])cylinder(h=16, r=2, center=false);
#rotate ([0,-90,57.3]) translate([70,-10,-32])cylinder(h=16, r=2, center=false);

rotate ([0,0,57.3]) translate([46,0,5.1]){
for (r=[0, 57, 123, 180, 237, 303])
#rotate ([0,0,r]) translate([0,15.5,9]) cylinder(h=12, r=1.5, center = false);
# import ("MFA950DNL501.stl");
}

//collecteur**********************************************
#translate([0,0,14.9]) rotate ([0,0,60]) import ("truc_ki_tourne2.stl");

//trous fixation
for (r=[60, 180, 300])
{
#rotate ([0,0,r]) translate([17.5,0,20]) cylinder(h=20, r=2.75, center = true);
}
	
}
// truc_ki_tourne/////////////////////////////////////////

difference() {
 union() {

//Engregre_plateforme
gear(
number_of_teeth=22,
circular_pitch=500,
gear_thickness = 4,
rim_thickness = 5,
hub_thickness = 7,
circles=10);

//Engregre_moteur
rotate ([0,0,57.3]) translate([39,0,1])
gear(
number_of_teeth=6,
circular_pitch=500,
gear_thickness = 6,
rim_thickness = 8,
hub_thickness = 13,
circles=0);

 	
//truc à vis
rotate([0,0,0])
translate([-6,-16,0]) cube([12,16,14], center = false);
	
//tube
rotate([0,0,0])
translate([0,0,4]) cylinder(h = 10, r = 6, center = false);
}

//bitonio centrale

#rotate([0,0,0]) translate([0,0,-1]) cylinder(h = 19, r = 3.9, center = false);

//trou vis
#rotate ([90,0,0]) translate([0,9,10]) cylinder(h=21, r=2, center = true);

//trou écrou
#rotate ([90,0,0]) translate([-3.5,4,8]) cube([7,15,3]);


}

